Ptex

Classes | Typedefs
PtexMutex.h File Reference

Go to the source code of this file.

## Classes
class | AutoLock< T >
| Automatically acquire and release lock within enclosing scope. More...

## Typedefs
typedef AutoLock< Mutex > | AutoMutex
typedef AutoLock< SpinLock > | AutoSpin

## Typedef Documentation

## ◆ AutoMutex

typedef AutoLock<Mutex> AutoMutex

Definition at line 51 of file PtexMutex.h.

## ◆ AutoSpin

typedef AutoLock<SpinLock> AutoSpin

Definition at line 52 of file PtexMutex.h.